## stacer 1.1.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
project(Stacer)

# Adding features(build cache + faster linkers) and reasonable defaults(Debug build by default)
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cxxbasics/CXXBasics.cmake")

# Setting a cleaner directory structure for the generated binaries
set(CMAKE_BINARY_DIR        "${CMAKE_BINARY_DIR}/output")
set(EXECUTABLE_OUTPUT_PATH  "${CMAKE_BINARY_DIR}/")
set(LIBRARY_OUTPUT_PATH     "${CMAKE_BINARY_DIR}/lib")

set(PROJECT_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")

# Activating MOC and searching for the Qt5 dependencies
set(CMAKE_AUTOMOC ON)
find_package(Qt5  COMPONENTS  Core Gui Widgets Charts Svg Concurrent REQUIRED)

# Setting the minimum C++ standard and passing the Qt-specific define
set(CMAKE_CXX_STANDARD           11)
set(CMAKE_CXX_EXTENSIONS         YES)
set(CMAKE_CXX_STANDARD_REQUIRED  YES)
add_definitions(-DQT_DEPRECATED_WARNINGS)

# Subprojects
add_subdirectory(stacer-core)
add_subdirectory(stacer)

=== stacer-core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
project(stacer-core)

include_directories(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/Info"
  "${CMAKE_CURRENT_SOURCE_DIR}/Tools"
  "${CMAKE_CURRENT_SOURCE_DIR}/Utils"
)

file(GLOB_RECURSE ${PROJECT_NAME}_srcs "${CMAKE_CURRENT_SOURCE_DIR}/**.cpp")

add_definitions(-DSTACERCORE_LIBRARY)

find_package(Qt5  COMPONENTS  Core Network REQUIRED)

add_library(${PROJECT_NAME}  STATIC  ${${PROJECT_NAME}_srcs})
target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Network)

=== stacer/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
project(stacer)

set(MANAGERS_DIR  "${CMAKE_CURRENT_SOURCE_DIR}/Managers")
set(PAGES_DIR     "${CMAKE_CURRENT_SOURCE_DIR}/Pages")

include_directories(
  "${PROJECT_ROOT}/stacer-core"
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${MANAGERS_DIR}"
  "${PAGES_DIR}/Dashboard"
  "${PAGES_DIR}/Processes"
  "${PAGES_DIR}/Resources"
  "${PAGES_DIR}/Services"
  "${PAGES_DIR}/Settings"
  "${PAGES_DIR}/StartupApps"
  "${PAGES_DIR}/SystemCleaner"
  "${PAGES_DIR}/Uninstaller"
  "${CMAKE_CURRENT_BINARY_DIR}" # Necessary for CMake 3.7 and older
)

# Sources
file(GLOB_RECURSE ${PROJECT_NAME}_srcs         "${CMAKE_CURRENT_SOURCE_DIR}/**.cpp")
file(GLOB_RECURSE ${PROJECT_NAME}_translations "${PROJECT_ROOT}/translations/**.ts")

# Translations
find_package(Qt5LinguistTools)
qt5_create_translation(QM_FILES  ${PROJECT_NAME}_translations  ${${PROJECT_NAME}_srcs})
set_directory_properties(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES  "${QM_FILES}")

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

add_executable(${PROJECT_NAME}
  ${${PROJECT_NAME}_srcs}
  "${CMAKE_CURRENT_SOURCE_DIR}/static.qrc"
  ${QM_FILES}
)

target_link_libraries(${PROJECT_NAME}
  stacer-core  Qt5::Core  Qt5::Gui  Qt5::Widgets  Qt5::Charts  Qt5::Svg  Qt5::Concurrent
)

# Running LTO in Release builds, if the C++ compiler is GNU GCC
if("${CMAKE_BUILD_TYPE}" STREQUAL "Release"  AND  "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  target_compile_options(${PROJECT_NAME}  PRIVATE  "-flto")
  list(APPEND CMAKE_EXE_LINKER_FLAGS "-flto")
endif()

install(
  TARGETS  ${PROJECT_NAME}
  CONFIGURATIONS Release RelWithDebInfo MinSizeRel # Not allowing to install an unoptimized build
  RUNTIME  DESTINATION  bin
)

install(
  FILES           "${PROJECT_ROOT}/applications/stacer.desktop"
  DESTINATION     share/applications
  CONFIGURATIONS  Release RelWithDebInfo MinSizeRel
)

install(
  FILES           "${PROJECT_ROOT}/stacer/static/logo.png"
  DESTINATION     share/icons
  CONFIGURATIONS  Release RelWithDebInfo MinSizeRel
  RENAME          stacer.png
)

## stacer 1.1.0

=== debian/changelog ===
stacer (1.1.0-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Jul 2020 09:48:15 -0700

stacer (1.1.0-3) unstable; urgency=medium

  * Add Vcs fields.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 12:26:34 +0100

stacer (1.1.0-2) unstable; urgency=medium

  * Source only upload for testing migration.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 13 Jan 2020 08:33:37 +0100

stacer (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #946248)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 06 Dec 2019 08:03:45 +0100

=== debian/control ===
Source: stacer
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: cmake,
               debhelper (>= 11),
               fonts-inter,
               libqt5charts5-dev,
               libqt5svg5-dev,
               qttools5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/myczko-guest/stacer
Vcs-Git: https://salsa.debian.org/myczko-guest/stacer.git
Homepage: https://github.com/oguzhaninan/Stacer/

Package: stacer
Architecture: any
Depends: fonts-inter, ${misc:Depends}, ${shlibs:Depends}
Description: Linux system optimizer and monitor
 Monitor your system (CPU, memory, disk) in a Qt 5 graphical application.
 Change and monitor your services. Summarizes basic system information and
 can show network download/upload speeds/totals.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QTDIR=/usr/share/qt5
export QT_SELECT=qt5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## stacer 1.1.0+ds

=== debian/changelog ===
stacer (1.1.0+ds-1) unstable; urgency=medium

  * d/control:
    - switch b-d fonts-inter to fonts-league-spartan.
    - added Rules-Requires-Root.
  * Bump debhelper version to 13, drop d/compat.
  * d/upstream/metadata: added.
  * d/copyright: update year.
  * d/watch: add filemangle.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Feb 2021 12:07:31 +0100

=== debian/control ===
Source: stacer
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), cmake, libqt5charts5-dev, libqt5svg5-dev, qttools5-dev, fonts-league-spartan
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/myczko-guest/stacer
Vcs-Git: https://salsa.debian.org/myczko-guest/stacer.git
Homepage: https://github.com/oguzhaninan/Stacer/

Package: stacer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-league-spartan
Description: Linux system optimizer and monitoring
 Monitor your system (CPU, memory, disk) in a graphical application (qt).
 Change and monitor your services. Summarizes basic system information and
 can show network download/upload speeds/totals.

=== debian/watch ===
version=4
# GitHub hosted projects
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
 https://github.com/oguzhaninan/Stacer/tags .*/v?(\d\S*)\.tar\.gz

## stacer 1.5.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(Stacer VERSION 1.5.0 LANGUAGES C CXX)

# Build with PIC and PIE (default: ON)
option(CMAKE_POSITION_INDEPENDENT_CODE "Determines whether position independent executables or shared libraries will be created" ON)

# Build with LTO (default: OFF)
option(CMAKE_INTERPROCEDURAL_OPTIMIZATION "If set to true, enables interprocedural optimizations if they are known to be supported by the compiler" OFF)

# Apply PIE flags
if(POLICY CMP0083)
  cmake_policy(SET CMP0083 NEW)
  include(CheckPIESupported)
  check_pie_supported()
  set(CMAKE_POLICY_DEFAULT_CMP0083 NEW)
endif()

set(PROJECT_ROOT ${CMAKE_CURRENT_SOURCE_DIR})

# Activating MOC and searching for the Qt dependencies
set(CMAKE_AUTOMOC ON)
find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Gui Widgets Charts Svg Concurrent REQUIRED)

# Setting the minimum C++ standard and passing the Qt-specific define
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_EXTENSIONS YES)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
add_definitions(-DQT_DEPRECATED_WARNINGS)

# Subprojects
add_subdirectory(stacer-core)
add_subdirectory(stacer)

string(TIMESTAMP TODAY_ISO_8601 "%Y-%m-%d")

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/desktop/stacer.metainfo.xml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/desktop/fr.quentium.stacer.metainfo.xml"
  IMMEDIATE @ONLY
)

install(
  FILES "${CMAKE_CURRENT_SOURCE_DIR}/desktop/stacer.desktop"
  DESTINATION share/applications
)

install(
  DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor"
  DESTINATION share/icons
)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/desktop/fr.quentium.stacer.metainfo.xml"
  DESTINATION share/metainfo
)

=== debian/changelog ===
stacer (1.5.0+ds-1) unstable; urgency=medium

  * New upstream version, reintroduce. (Closes: #1121302)
  * d/copyright: updated, bump years.
  * d/control:
    - update maintainer address.
    - drop Rules-Requires-Root.
  * Bump standards version to 4.7.2.
  * d/README.source: updated.
  * d/rules: updated.
  * d/clean: added.
  * d/install: updated.

 -- Alex Myczko <tar@debian.org>  Sun, 07 Dec 2025 23:02:05 +0000

stacer (1.1.0+ds-2) unstable; urgency=medium

  * Update maintainer address.
  * Fix d/install: support GNU/Hurd.
  * d/control: update Vcs field.
  * d/copyright: bump year.
  * Bump standards version to 4.6.0.

 -- Gürkan Myczko <tar@debian.org>  Sun, 24 Apr 2022 21:15:45 +0200

=== debian/control ===
Source: stacer
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-l10n-tools,
 libqt6opengl6-dev,
 libqt6charts6-dev,
 libqt6svg6-dev,
 qt6-wayland-dev,
 libglx-dev,
 libgl-dev,
 libxkbcommon-dev,
 fonts-league-spartan,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tar/stacer
Vcs-Git: https://salsa.debian.org/tar/stacer.git
Homepage: https://stacer.quentium.fr/

Package: stacer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-league-spartan
Description: Linux system optimizer and monitoring
 Monitor your system (CPU, memory, disk) in a graphical application (qt).
 Change and monitor your services. Summarizes basic system information and
 can show network download/upload speeds/totals.

## stacer 1.6.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16)
-project(Stacer VERSION 1.5.0 LANGUAGES C CXX)
+project(Stacer VERSION 1.6.2 LANGUAGES C CXX)
 
 # Build with PIC and PIE (default: ON)
 option(CMAKE_POSITION_INDEPENDENT_CODE "Determines whether position independent executables or shared libraries will be created" ON)
@@ -20,7 +20,7 @@
 # Activating MOC and searching for the Qt dependencies
 set(CMAKE_AUTOMOC ON)
 find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network Gui Widgets Charts Svg Concurrent REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Widgets Charts Svg Concurrent Network REQUIRED)
 
 # Setting the minimum C++ standard and passing the Qt-specific define
 set(CMAKE_CXX_STANDARD 11)

=== stacer-core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(stacer-core)

include_directories(
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/Info"
  "${CMAKE_CURRENT_SOURCE_DIR}/Tools"
  "${CMAKE_CURRENT_SOURCE_DIR}/Utils"
)

file(GLOB_RECURSE ${PROJECT_NAME}_srcs "${CMAKE_CURRENT_SOURCE_DIR}/**.cpp")

add_definitions(-DSTACERCORE_LIBRARY)

find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Network REQUIRED)

add_library(${PROJECT_NAME} STATIC ${${PROJECT_NAME}_srcs})
target_link_libraries(${PROJECT_NAME} Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Network)

set_property(TARGET ${PROJECT_NAME} PROPERTY C_STANDARD 11)

=== stacer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(stacer)

include_directories(
  "${PROJECT_ROOT}/stacer-core"
  "${CMAKE_CURRENT_SOURCE_DIR}"
  "${CMAKE_CURRENT_SOURCE_DIR}/Managers"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/Dashboard"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/Processes"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/Resources"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/Services"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/Settings"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/StartupApps"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/SystemCleaner"
  "${CMAKE_CURRENT_SOURCE_DIR}/Pages/Uninstaller"
)

# Sources
file(GLOB_RECURSE ${PROJECT_NAME}_srcs "${CMAKE_CURRENT_SOURCE_DIR}/**.cpp")
file(GLOB ${PROJECT_NAME}_translations "${PROJECT_ROOT}/translations/*.ts")

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

add_executable(${PROJECT_NAME}
  ${${PROJECT_NAME}_srcs}
  "${CMAKE_CURRENT_SOURCE_DIR}/static.qrc"
)

set_source_files_properties(
  ${${PROJECT_NAME}_translations}
  PROPERTIES
  OUTPUT_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/translations"
)

# Translations
find_package(Qt${QT_VERSION_MAJOR} REQUIRED LinguistTools)
if("${QT_VERSION_MAJOR}" STREQUAL "5")
  qt5_create_translation(QM_FILES ${${PROJECT_NAME}_translations} ${${PROJECT_NAME}_srcs})
else()
  qt6_add_translations(stacer TS_FILES ${${PROJECT_NAME}_translations} QM_FILES_OUTPUT_VARIABLE QM_FILES)
endif()
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${QM_FILES}")

target_link_libraries(${PROJECT_NAME} stacer-core)
target_link_libraries(${PROJECT_NAME} Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Gui Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Charts Qt${QT_VERSION_MAJOR}::Svg Qt${QT_VERSION_MAJOR}::Concurrent)

set_property(TARGET ${PROJECT_NAME} PROPERTY C_STANDARD 11)

install(
  TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION bin
)

install(
  FILES ${QM_FILES}
  DESTINATION share/qt${QT_VERSION_MAJOR}/translations
)

=== debian/changelog ===
stacer (1.6.2+ds-2) unstable; urgency=medium

  * Fix license in desktop/stacer.metainfo.xml.in.

 -- Alex Myczko <tar@debian.org>  Mon, 09 Feb 2026 14:33:51 +0100

stacer (1.6.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: updated.
  * d/copyright: bump years.
  * d/watch: update to version 5.
  * d/control: move Vcs from personal to debian.

 -- Alex Myczko <tar@debian.org>  Sun, 08 Feb 2026 17:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  libxkbcommon-dev,
  fonts-league-spartan,
 Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/tar/stacer
-Vcs-Git: https://salsa.debian.org/tar/stacer.git
+Vcs-Browser: https://salsa.debian.org/debian/stacer
+Vcs-Git: https://salsa.debian.org/debian/stacer.git
 Homepage: https://stacer.quentium.fr/
 
 Package: stacer

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Dversionmangle: s/\+ds$//
Owner: oguzhaninan
Project: Stacer
Repacksuffix: +ds
